org.red5.server.api.so

## Interface IClientSharedObject

All Superinterfaces:
  AttributeStoreMXBean, IAttributeStore, ICastingAttributeStore, IServiceHandlerProvider, ISharedObjectBase, ISharedObjectHandlerProvider

All Known Implementing Classes:
  ClientSharedObject

    public interface IClientSharedObject
    extends ISharedObjectBase

Clientside access to shared objects.

Author:
  The Red5 Project (red5@osflash.org), Joachim Bauch (jojo@struktur.de)

### Method Summary

Methods
`void` `connect(IConnection conn)` Connect the shared object using the passed connection.
`void` `disconnect()` Disconnect the shared object.
`boolean` `isConnected()` Check if the shared object is connected to the server.

### Methods inherited from interface org.red5.server.api.so.ISharedObjectBase

`addSharedObjectListener, beginUpdate, beginUpdate, clear, close, endUpdate, getData, getVersion, isLocked, isPersistent, lock, removeSharedObjectListener, sendMessage, unlock`

### Methods inherited from interface org.red5.server.api.so.ISharedObjectHandlerProvider

`registerServiceHandler, unregisterServiceHandler`

### Methods inherited from interface org.red5.server.api.service.IServiceHandlerProvider

`getServiceHandler, getServiceHandlerNames, registerServiceHandler`

### Methods inherited from interface org.red5.server.api.ICastingAttributeStore

`getBoolAttribute, getByteAttribute, getDoubleAttribute, getIntAttribute, getListAttribute, getLongAttribute, getMapAttribute, getSetAttribute, getShortAttribute, getStringAttribute`

### Methods inherited from interface org.red5.server.api.IAttributeStore

`getAttribute, getAttribute, getAttributeNames, getAttributes, hasAttribute, removeAttribute, removeAttributes, setAttribute, setAttributes, setAttributes`

### Method Detail

#### connect

    void connect(IConnection conn)

Connect the shared object using the passed connection.

Parameters:
  `conn` - connect to connect to

#### isConnected

    boolean isConnected()

Check if the shared object is connected to the server.

Returns:
  is connected

#### disconnect

    void disconnect()

Disconnect the shared object.